<?php

namespace Modules\Approval\Models\Traits;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Modules\Approval\Models\ApprovalWorkflow;

/**
 * @mixin \Illuminate\Database\Eloquent\Model
 */

trait HasApprovalWorkflow
{
    public function workflow(): BelongsTo
    {
        return $this->belongsTo(ApprovalWorkflow::class, 'approval_workflow_id');
    }
}
